/* @charset "UTF-8"; */
.body{
  background: #edf0f1;
}
div,body,input,button{
      font-family: 'Lalezar', cursive;
}
.main{
  /* width: 200px; */
  /* height:60px; */
  /* position: absolute; */
  /* top: 0; */
  /* margin-right: auto */
  /* margin-left: auto; */
  display: inline-block;
  z-index: 5;
  background: #9e00c5;
  padding: 15px;
  box-shadow: 0px 2px 4px #ff5bff;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.main-input{
  width: 100%;
  height: 50px;
  float: right;
  color: #fff;
  font-size: 15px;
  font-weight: 400;
  /* text-indent:20px; */
  padding: 0 20px 0px 60px;
  background: #d500f9;
  border-radius: 5px;
  border-top-left-radius: 25px;
  border-bottom-left-radius: 25px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;

  border: 0px;
  box-shadow: none;
  outline: none;


}

header input::-webkit-input-placeholder{
  color: rgba(255,255,255,0,0.75) ;

}
header input:-moz-input-placeholder{
  color: rgba(255,255,255,0,0.75) ;

}
header input::-webkit-input-placeholder{
  color: rgba(255,255,255,0,0.75) ;

}
header input:-ms-input-placeholder{
  color: rgba(255,255,255,0,0.75) ;

}

.add-button{
  width: 50px;
  height: 50px;
  position: absolute;
  top: 15px;
  left: 15px;
  z-index: 2;
  border-radius: 25px;
  background: #f3e5f5;
  border: 0px;
  box-shadow: none;
  outline: none;
  cursor: pointer;

  -webkit-appearance:none;
  -ms-appearance:none;
  -moz-appearance:none;
  -o-appearance:none;
  appearance:none;
}

.icon{
  width: 40px;
  height: 40px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -20px 0 0 -20px;
}

.todo-con{
  width: 100%;
  float: right;
  padding: 15px;
}

ul.todo{
  width: 100%;
  float: right;
}
ul.todo li{
  width: 100%;
  min-height: 50px;
  float: right;
  font-size: 14px;
  font-weight: 500;
  color: #444;
  line-height: 22px;

  background: #fff;
  border-radius: 5px;
  position: relative;
  box-shadow: 0px 2px 4px #ff5bff;
  margin:0 0 15px 0;
  padding: 14px 50px 14px  14px;
}

ul.todo li:last-of-type{
  margin: 0;
}

ul.todo li .button{
    width: 100px;
    height: 50px;
    position: absolute;
    top: 0;
    left: 0;
}
ul.todo li .button button{
  width: 50px;
  height: 50px;
  float: right;
  border: 0;
  box-shadow: none;
  background: none;
  position: relative;
  outline: none;
  cursor: pointer;

  -webkit-appearance:none;
  -ms-appearance:none;
  -moz-appearance:none;
  -o-appearance:none;
  appearance:none;
}

ul.todo li .button button:last-of-type:before{
  content: '';
  width: 1px;
  height: 30px;
  position: absolute;
  top: 10px;
  right: 0;
  background: #edf0f1

}
.nofill{
  fill : none;
}

ul.todo li .button button svg{
  width: 22px;
  height: 22px;
  position: absolute;
  top: 50%;
  right: 50%;
  margin: -11px -11px 0 0;


}

ul#completed.todo li div.button button.complete svg{
  background: #9e00c5;
  border: 0px;

}
ul#completed.todo li div.button button.complete svg#Layer_1{
fill : #ffffff;

}
ul.todo:not(#completed) li div.button button.complete:hover svg{
    background: #9e00c5;

}
ul.todo:not(#completed) li div.button button.complete:hover svg#Layer_1{
    fill:#fff;

}




ul.todo li .button button svg .fill{
  -webkit-transition:fill 0.2s ease;
  -moz-transition:fill 0.2s ease;
  -ms-transition:fill 0.2s ease;
  -o-transition:fill 0.2s ease;

  transition: fill 0.2s ease;
}

ul.todo li .button button.remove svg .fill{
  fill:#c0cecb;
}

.remove:hover svg {
   fill: #e85656;
}

.complete svg {
  padding: 2px;
  fill: #9e00c5;
  border-radius:11px;
  border: 1.5px solid #9e00c5;

  transition: background 0.2s ease;


}

.complete:hover svg .fill {
   fill: #e85656;
}

ul.todo#completed{
  position: relative;
  padding : 60px 0 0 0;
}

ul.todo#completed:before{
  content: '';
  width: 150px;
  height: 1px;
  background: #dBe5e0;

  position: absolute;
  top: 30px;
  right: 50%;

  margin: 0 -75px 0 0;
}

ul.todo#todo:empty:after{
  content: 'شما وظیفه ای برای انجام دادن ندارید..';
  margin: 15px;
}

ul.todo#completed:empty:after{
  content: 'شما هنوز وظیفه ای را تکمیل نکرده اید...';
}

ul.todo#completed:empty:after,
ul.todo#todo:empty:after{
  width: 100%;
  display: block;
  text-align: center;
  font-size: 15px;
  color: #aaa;
}